import * as winston from 'winston';
import { LOG_LEVEL, Logger } from '../../logger/logger.types';
export declare const WinstonLoggerTransportsKey: unique symbol;
export default class WinstonLogger implements Logger {
    private logger;
    constructor(transports: winston.transport[]);
    private getLoggerFormatOptions;
    log(level: LOG_LEVEL, message: string | Error, context?: string, data?: unknown): void;
    debug(message: string, context: string, data?: unknown): void;
    info(message: string, context: string, data?: unknown): void;
    warn(message: string | Error, context: string, data?: unknown): void;
    error(message: string | Error, context: string, data?: unknown): void;
    fatal(message: string | Error, context: string, data?: unknown): void;
    emergency(message: string | Error, context: string, data?: unknown): void;
}
